> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> Fetch all users



## OpenAPI

````yaml get /users
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Password
  - name: Players
  - name: Services
  - name: Sessions
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Trials
  - name: Uploads
  - name: Usage
  - name: Users
  - name: Videos
paths:
  /users:
    get:
      tags:
        - Users
      summary: List users
      description: Fetch all users
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
      responses:
        '200':
          $ref: '#/components/responses/Users'
components:
  parameters:
    limit:
      name: limit
      in: query
      description: The maximum number of results to return
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 25
        default: 25
        example: 10
    cursor:
      name: cursor
      in: query
      description: A cursor to fetch the next page of results
      required: false
      schema:
        type: string
        example: AbCdEfGhIJkLMnOpQrStUvWxYz
  responses:
    Users:
      description: Users
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                type: array
                items:
                  $ref: '#/components/schemas/User'
              links:
                type: object
                properties:
                  next:
                    description: A URL to fetch the next page of results, if there is one
                    type: string
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
            example:
              success: true
              result: []
              links:
                next: >-
                  https://api.vidbeo.com/v2/users?limit=10&cursor=AbCdEfGhIJkLMnOpQrStUvWxYz
              errors: []
  schemas:
    User:
      type: object
      required:
        - id
        - name
        - email
        - authentication
        - role
        - notifications
        - mfa_required
        - verified_email
        - enabled
        - created_by
        - created_time
        - updated_by
        - updated_time
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 40
          example: Example
        email:
          type: string
          format: email
          example: name@company.com
        authentication:
          type: string
          enum:
            - password
            - sso
          example: password
        role:
          type: string
          enum:
            - viewer
            - uploader
            - admin
            - owner
          example: owner
        mfa_required:
          type: boolean
          example: false
        notifications:
          description: Their notification preferences
          type: array
          items:
            type: string
            enum:
              - videos.ready
          example:
            - videos.ready
        verified_email:
          type: boolean
          example: true
        enabled:
          type: boolean
          example: true
        created_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        created_time:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00.000Z'
        updated_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        updated_time:
          type: string
          format: date-time
          example: '2026-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.